import { SyncEvent, SyncInteractiveAnimEvent, SyncMediaFullscreenEvent, SyncMediaPauseEvent, SyncMediaPlayEvent, SyncMediaSeekEvent, SyncNextStepEvent, SyncPrevStepEvent, SyncRenderSlideEvent, SyncSetResourceEvent } from "../Slide";
export declare function isSyncInteractiveAnimEvent(event: SyncEvent): event is SyncInteractiveAnimEvent;
export declare function isSyncPrevStepEvent(event: SyncEvent): event is SyncPrevStepEvent;
export declare function isSyncNextStepEvent(event: SyncEvent): event is SyncNextStepEvent;
export declare function isSyncRenderSlideEvent(event: SyncEvent): event is SyncRenderSlideEvent;
export declare function isSyncSetResourceEvent(event: SyncEvent): event is SyncSetResourceEvent;
export declare function isSyncMediaPlayEvent(event: SyncEvent): event is SyncMediaPlayEvent;
export declare function isSyncMediaPauseEvent(event: SyncEvent): event is SyncMediaPauseEvent;
export declare function isSyncMediaSeekEvent(event: SyncEvent): event is SyncMediaSeekEvent;
export declare function isSyncMediaFullscreenEvent(event: SyncEvent): event is SyncMediaFullscreenEvent;
